#!/bin/bash

set -e

tmpdir=$(mktemp -d)
trap 'rm -rf "$tmpdir"' EXIT

cd $(dirname $0)/dist
zip -r "$tmpdir/lambda.zip" .

cd $tmpdir
aws s3 cp lambda.zip "s3://$IMBUSY_BE_BUCKET"
cd $(dirname $0)

aws lambda update-function-code \
  --function-name $IMBUSY_BE_LAMBDA \
  --s3-bucket $IMBUSY_BE_BUCKET \
  --s3-key lambda.zip
